LibreOffice: XProgressHandler Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XProgressHandler Interface Referencepublished

Handle a tasks notification that it has made some progress. More...

`import <XProgressHandler.idl;`

Inheritance diagram for XProgressHandler:

## Public Member Functions
void | push ([in] any Status)
| The task notifies the handler that it has started some new activity (possibly a sub-activity of another activity already making progress; therefore, these notifications behave in a stack-like manner).
void | update ([in] any Status)
| The task notifies the handler that its current activity is making progress.
void | pop ()
| The task notifies the handler that it has finished its current activity.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Handle a tasks notification that it has made some progress.

## Member Function Documentation

## ◆ pop()

void pop | ( |  | ) |

The task notifies the handler that it has finished its current activity.

## ◆ push()

void push | ( | [in] any | Status | ) |

The task notifies the handler that it has started some new activity (possibly a sub-activity of another activity already making progress; therefore, these notifications behave in a stack-like manner).

Parameters

  Status | An object representing the new activity. There has to be an agreement between caller and callee of methods XProgressHandler::push() and XProgressHandler::update() as to which Status arguments are meaningful. For example, a `string` argument to XProgressHandler::push() should be used to transport some status text that describes the progress being made (possibly followed by one or more XProgressHandler::update()s with `string` arguments, if the appropriate status text changes as progress is being made).

## ◆ update()

void update | ( | [in] any | Status | ) |

The task notifies the handler that its current activity is making progress.

Parameters

  Status | An object representing the progress made. See the documentation of XProgressHandler::push() for more information.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XProgressHandler.idl